"use strict";

var _wp = wp,
  apiFetch = _wp.apiFetch;
jQuery(function ($) {
  var gutenify_exosphereRedirectToKitPage = function gutenify_exosphereRedirectToKitPage(res) {
    // if( res?.status && 'active' === res.status ) {
    window.location = "".concat(window.gutenify_exosphere.gutenify_kit_gallery);
    // }
  };

  // Activate Gutenify.
  $(document).on('click', '.gutenify-exosphere-activate-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-exosphere-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins/gutenify/gutenify',
      method: 'POST',
      data: {
        "status": "active"
      }
    }).then(function (res) {
      gutenify_exosphereRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_exosphereRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-exosphere-install-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-exosphere-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins',
      method: 'POST',
      data: {
        "slug": "gutenify",
        "status": "active"
      }
    }).then(function (res) {
      gutenify_exosphereRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_exosphereRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-exosphere-admin-notice .notice-dismiss', function () {
    console.log(ajaxurl + "?action=gutenify_exosphere_hide_theme_info_noticebar");
    apiFetch({
      url: ajaxurl + "?action=gutenify_exosphere_hide_theme_info_noticebar&gutenify_exosphere-nonce-name=".concat(window.gutenify_exosphere.gutenify_exosphere_nonce),
      method: 'POST'
    }).then(function (res) {
      console.log(res);
    })["catch"](function (res) {
      console.log(res);
    });
  });
});